SND_CTL_ENUM_INFO(9)

NAME
snd_ctl_enum_info - fills the info structure for an enumerated control

SYNOPSIS

int snd_ctl_enum_info(struct snd_ctl_elem_info * info, unsigned int channels, unsigned int items, const char *const names[]);

ARGUMENTS

info
    the structure to be filled

channels
    the number of the control's channels; often one

items
    the number of control values; also the size of names

names[]
    an array containing the names of all control values

DESCRIPTION

Sets all required fields in info to their appropriate values. If the control's accessibility is not the default (readable and writable), the caller has to fill info->access.

RETURN

Zero.

COPYRIGHT